Cocoon project broken since latest update (October09,2014)

Discussion and feedback on Construct 2

Post » Mon Oct 13, 2014 9:20 am

Hey guys,

as the title says my project is broken since the latest update.

I am currently using the cocoon plugin for Ads and Google Play Game Services.

What I am getting is the following error report:
"Cannot find action with the ID 20 in the plugin 'CocoonJS' (CJSAds).
This is usually caused by a third-party plugin developer removing the action from the plugin in an update, or reinstalling an older version of the plugin that does not have an action used in this project."

I am aware that Ludei also updated their C2 plugin but doing so didn't solve the issue.

Has anyone a solution for this?

Thanks,
jcstranger
B
7
S
1
Posts: 41
Reputation: 525

Post » Mon Oct 13, 2014 1:50 pm

Same here, i have problems with some projects that have the cocoonJS plugin, i would like to know a solution to at least, remove the cocoonJS component from the project!
B
32
S
7
G
2
Posts: 164
Reputation: 3,774

Post » Mon Oct 13, 2014 2:08 pm

You could revert to an older C2 version and remove the cocoon plugin, then updating to the newest version again.
This is no option for me though since I need the cocoon plugin.
B
7
S
1
Posts: 41
Reputation: 525

Post » Mon Oct 13, 2014 2:19 pm

ByR wrote:Same here, i have problems with some projects that have the cocoonJS plugin, i would like to know a solution to at least, remove the cocoonJS component from the project!


I think you can revert to an older version of both C2 and the plugin, delete it from the project, then update your C2 version back, and use a newer version of said plugin.

https://github.com/ludei/Construct-2-plugin/issues I think this is potentially the place to report bugs you may have with the cocoonJS plugin (not sure though, as I would rather not use cocoonJS personnally)

I will recommand that before deleting it, you isolate it inside functions, so you will just have to redefine the functions with the newer plugin, rather than going throu every event of the project to reinclude it.
Game design is all about decomposing the core of your game so it becomes simple instructions.
B
53
S
22
G
18
Posts: 2,122
Reputation: 17,123

Post » Wed Oct 15, 2014 8:36 am

Bump
B
7
S
1
Posts: 41
Reputation: 525

Post » Wed Oct 15, 2014 8:59 am

jcstranger wrote:Bump


This is why it was depreciated...
Only thing you can do is to get hold of cocoonjs and get them to fix it... They have made more posts since being depreciated, they they have all year... so maybe they will get a fix out.
You think you can do these things, but you can't, Nemo!
Just keep reading.
Just keep learning.
B
65
S
16
G
9
Posts: 1,429
Reputation: 12,718

Post » Wed Oct 15, 2014 10:06 am

Hello,

We found that updating Construct 2 replaces all the contents of the folder where Construct 2 is installed, so every time that you install a new beta/stable, Construct 2 installs the old version of our plugin that is still being distributed with Construct 2.

The solution is really easy, every time you reinstall Construct 2, download the latest version of our plugin from Github (https://github.com/ludei/Construct-2-plugin) and follow the install guidelines to install it in your computer.

We made these steps and the problem is solved for us.

Regards,

Ludei Team.
B
9
S
4
G
4
Posts: 383
Reputation: 3,616

Post » Wed Oct 15, 2014 11:26 am

DUTOIT wrote:
jcstranger wrote:Bump


This is why it was depreciated...
Only thing you can do is to get hold of cocoonjs and get them to fix it... They have made more posts since being depreciated, they they have all year... so maybe they will get a fix out.


Well I do not expect Ludei to answer to all problems over here in the Scirra forum, I think thats too much to ask.

ludei wrote:Hello,
The solution is really easy, every time you reinstall Construct 2, download the latest version of our plugin from Github (https://github.com/ludei/Construct-2-plugin) and follow the install guidelines to install it in your computer.
Ludei Team.


Worked perfectly and was initially my bad since I used the wrong cocoonjs_prelude.js when I tried to update the plugin.
Thanks for the help Ludei
B
7
S
1
Posts: 41
Reputation: 525

Post » Wed Oct 15, 2014 12:59 pm

jcstranger wrote:
DUTOIT wrote:
jcstranger wrote:Bump


This is why it was depreciated...
Only thing you can do is to get hold of cocoonjs and get them to fix it... They have made more posts since being depreciated, they they have all year... so maybe they will get a fix out.


Well I do not expect Ludei to answer to all problems over here in the Scirra forum, I think thats too much to ask.


Then who should answer for his plugin?
You think you can do these things, but you can't, Nemo!
Just keep reading.
Just keep learning.
B
65
S
16
G
9
Posts: 1,429
Reputation: 12,718

Post » Wed Oct 15, 2014 2:00 pm

DUTOIT wrote:Then who should answer for his plugin?


Well, you can ask the same question in our community or in the Github where you can download our plugin. If you are so convinced that it belongs exclusively to us even if we insist on we have it on Github because we want to foment contribution, then ask directly to us. We are not a huge company, so we can't attend all the messages on this Forum. The community and Github are the direct channels for contacting us, and we will receive the notifications.
B
9
S
4
G
4
Posts: 383
Reputation: 3,616

Next

Return to Construct 2 General

Who is online

Users browsing this forum: No registered users and 3 guests